Get all fulfillments for the fulfillment order
GET https://{handle}.myshopline.com/admin/openapi/v20261201/fulfillment_orders/:order_id/:fulfillment_order_id/fulfillments.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- fulfillment_order_id string requiredPerformance order idExample:
"21057401932826316666967110" - order_id string requiredOrder idExample:
"21057401932826316666967110"
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
fulfillmentsobject[]
Package detailsorder_id stringOrder idExample:"21057116277667827637773776"tracking_number stringThird party tracking numberExample:"UG198768340YP"status stringParcel single statusExample:"success"tracking_url stringLogistics tracking URLExample:"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345"tracking_urls arrayLogistics tracking url listExample:["[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"]updated_at stringUpdate timeExample:2022-10-21T08:56:20-04:00created_at stringCreation timeExample:2022-10-21T08:56:20-04:00id stringParcel single idExample:"4005740193290131085320"shipment_status stringLogistics statusExample:"success"tracking_company stringLogistics company nameExample:"Other"tracking_numbers arrayThird party logistics single number listExample:["[\"UG198768340YP\"]"]line_itemsobject[]
Package Productprice_setobject
Item price informationpresentment_moneyobject
Priceamount stringTotalExample:"100.00"currency_code stringCurrencyExample:"USD"shop_moneyobject
Store priceamount stringTotalExample:"100.00"currency_code stringCurrencyExample:"USD"name stringSku titleExample:Trade namefulfillment_quantity integerShipping quantityExample:1total_discount_setobject
Great price informationpresentment_moneyobject
Priceamount stringTotalExample:"0.00"currency_code stringCurrencyExample:"USD"shop_moneyobject
Store priceamount stringTotalExample:"0.00"currency_code stringCurrencyExample:"USD"variant_title stringProduct attribute valueExample:"Black / Bracelet / Bracelet""fulfillable_quantity integerRemaining quantity can be shippedExample:1fulfillment_status stringPackage trackingExample:"open"requires_shipping booleanShipping or notExample:truequantity integerSku quantityExample:1price stringItem priceExample:"100.00"total_discount stringDiscountExample:"0.00"taxable booleanTax or not?Example:truesku stringProduct barcodeExample:"183423409238904944"propertiesobject[]
Additional informationvalue stringCustom attribute valuesExample:"value"additional stringAdditional informationExample:" add-on information "name stringCustom attribute nameExample:" picture "type stringAttribute typeExample:"picture"urls arrayUrl listExample:["[\"https://www.myshopline.com\"]"]product_id stringProduct serial numberExample:"343342675"title stringProduct titleExample:"Draft"vendor stringSupplierversion stringProduct versionExample:"1"variant_id stringSku serial numberExample:"183423409238904944"grams doubleWeightExample:10.5id stringidExample:"466157049"tax_linesobject[]
Tax itemprice_setobject
Multi-currency information of taxpresentment_moneyobject
Pricecurrency_code stringCurrencyExample:"USD"amount stringTotalExample:"10.00"shop_moneyobject
Store pricecurrency_code stringCurrencyExample:"USD"amount stringTotalExample:"10.00"rate stringTax rateExample:"1.00"title stringTax titleExample:" Product tax "name stringTax nameExample:" item tax "price stringTaxExample:"10.00"name stringPackage nameExample:"#21057116277667827637773776.1"
API Explorer
Debugger
Was this article helpful to you?